> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Update shipping method

> To comply with legal regulations and for other purposes, it may be necessary to update shipping rates or delivery timelines. <p> With this endpoint, you can update shipping details by ID. This completely replaced existing information. </p>



## OpenAPI

````yaml shipping-methods.openapi put /shipping-methods/{shippingMethodId}
openapi: 3.0.1
info:
  contact:
    email: support@fabric.inc
    name: fabric Support team
  description: >-
    fabric **Shipping Methods** API is a multi-tenant service that enables you
    to manage carriers and expose shipping methods on your Storefront. With the
    Shipping Methods API, you can configure shipping methods and associate items
    to specific shipping methods. When shoppers browse through your e-commerce
    platform (website or app), they'll see the items with their shipping
    methods, which gives an estimate of when they can get the item.
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
  termsOfService: https://fabric.inc/terms-of-use
  title: Orders - Shipping Methods API
  version: 3.0.0
  x-audience: external-public
servers:
  - description: Production
    url: https://api.fabric.inc/v3
security:
  - authorization: []
tags:
  - description: >-
      fabric **Shipping Methods** API is a multi-tenant service that enables you
      to manage carriers and expose shipping methods on your Storefront. With
      the Shipping Methods API, you can configure shipping methods and associate
      items to specific shipping methods. When shoppers browse through your
      e-commerce platform (website or app), they'll see the items with their
      shipping methods, which gives an estimate of when they can get the item.
    name: Shipping Methods
  - description: >-
      These endpoints perform CRUD operations on items tagged to the shipping
      methods
    name: Shipping Method Items
externalDocs:
  description: Find out more about fabric Orders (also called OMS)
  url: https://developer.fabric.inc/v3/docs/orders-overview
paths:
  /shipping-methods/{shippingMethodId}:
    put:
      tags:
        - Shipping Methods
      summary: Update shipping method
      description: >-
        To comply with legal regulations and for other purposes, it may be
        necessary to update shipping rates or delivery timelines. <p> With this
        endpoint, you can update shipping details by ID. This completely
        replaced existing information. </p>
      operationId: updateShippingMethod
      parameters:
        - description: >-
            24-character ID generated in the response of *Get shipping method*
            endpoint - `POST /shipping-methods`
          example: 62fa3796841ea417fa71d2a9
          in: path
          name: shippingMethodId
          required: true
          schema:
            type: string
        - $ref: '#/components/parameters/xFabricTenantId'
        - $ref: '#/components/parameters/xFabricChannelId'
        - $ref: '#/components/parameters/xFabricRequestId'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/updateShippingMethodRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/shippingMethod'
          description: OK
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '400':
          content:
            application/json:
              example:
                errors:
                  - message: Invalid request
                    type: CLIENT_ERROR
                message: Bad request
                type: CLIENT_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Bad request
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '401':
          content:
            application/json:
              example:
                message: Unauthorized request
                type: CLIENT_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Unauthorized
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '404':
          content:
            application/json:
              example:
                message: Shipping method not found
                type: CLIENT_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Shipping method not found
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '500':
          content:
            application/json:
              example:
                message: Internal server error
                type: SERVER_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Internal server error
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
components:
  parameters:
    xFabricTenantId:
      description: >-
        A header used by fabric to identify the tenant making the request. You
        must include tenant id in the authentication header for an API request
        to access any of fabric’s endpoints. You can retrieve the tenant id ,
        which is also called account id, from
        [Copilot](/v3/platform/settings/account-details/getting-the-account-id).
        This header is required.
      example: 5f328bf0b5f328bf0b5f328b
      in: header
      name: x-fabric-tenant-id
      required: true
      schema:
        type: string
    xFabricChannelId:
      description: >-
        x-fabric-channel-id identifies the sales channel where the API request
        is being made; primarily for multichannel use cases. The channel ids are
        12 corresponding to US and 13 corresponding to Canada. The default
        channel id is 12. This field is required.
      example: '12'
      in: header
      name: x-fabric-channel-id
      required: true
      schema:
        type: string
    xFabricRequestId:
      description: Unique request ID
      example: 263e731c-45c8-11ed-b878-0242ac120002
      in: header
      name: x-fabric-request-id
      required: false
      schema:
        type: string
  schemas:
    updateShippingMethodRequest:
      description: Details to update shipping method
      properties:
        addressType:
          description: >-
            Address type. For example - APO: Army Post Office or MPO: Military
            Post Office
          enum:
            - APO
            - MPO
            - PO
            - Business
            - Residence
          example: APO
          type: string
        attributes:
          additionalProperties:
            description: >-
              User defined custom attributes. This is a placeholder for addition
              info (in key: value pairs)
            example:
              carrier: FedEx
              type: Next Day
            type: object
          description: >-
            User defined custom attributes. This is a placeholder for addition
            info (in key: value pairs)
          example:
            carrier: FedEx
            type: Next Day
          type: object
        carrier:
          description: Shipping carrier name
          example: FedEx
          type: string
        cartValue:
          $ref: '#/components/schemas/minMaxValues'
        code:
          description: >-
            Shipping method code such as Same Day Delivery (SDD), Standard
            Shipping (STH), etc.
          example: SDD
          type: string
        cost:
          description: Shipping cost given by merchant
          example: 20.5
          format: double
          type: number
        createdBy:
          description: User (ID or name) who created the shipping method
          example: User1
          type: string
        currency:
          default: USD
          description: Three-letter currency code as defined by ISO-4217
          example: USD
          type: string
        cutoffTime:
          description: >-
            Time at which the current 'order day' is over. **Note**: If an order
            is delivered after the cutoff time, it's considered as delivered the
            next working day. For example, if the cutoff time is set to 5:00 PM,
            any orders delivered after this time will be considered to have been
            delivered the following business day.
          example: 1330
          format: int32
          type: integer
        description:
          description: Brief description of shipping method
          example: Express Delivery 2 - 5 days
          type: string
        dimension:
          $ref: '#/components/schemas/minMaxDimensions'
        isDeleted:
          description: >-
            **true:** Shipping method is deleted. **false:** Shipping method
            isn't deleted.
          example: false
          type: boolean
        maximumDays:
          description: >-
            Maximum duration required to deliver an order starting from the time
            it's placed
          example: 5
          format: int32
          type: integer
        minimumDays:
          description: >-
            Minimum duration required to deliver an order starting from the time
            it's placed
          example: 2
          format: int32
          type: integer
        name:
          description: Shipping method name
          example: Express Delivery
          type: string
        region:
          description: State or region of delivery
          example: CA
          type: string
        taxCode:
          description: >-
            Tax code associated with a shipping method. Depends on the
            applicable tax laws and regulations in each jurisdiction.
          example: FR01
          type: string
        updatedBy:
          description: User (ID or name) who update the shipping method
          example: User2
          type: string
        weight:
          $ref: '#/components/schemas/minMaxValues'
      required:
        - code
        - name
      type: object
    shippingMethod:
      description: Shipping method response model
      properties:
        addressType:
          description: >-
            Address type. For example - APO: Army Post Office or MPO: Military
            Post Office
          enum:
            - APO
            - MPO
            - PO
            - Business
            - Residence
          example: APO
          type: string
        attributes:
          additionalProperties:
            description: >-
              User defined custom attributes. This is a placeholder for addition
              info (in key: value pairs)
            example:
              carrier: FedEx
              type: Next Day
            type: object
          description: >-
            User defined custom attributes. This is a placeholder for addition
            info (in key: value pairs)
          example:
            carrier: FedEx
            type: Next Day
          type: object
        carrier:
          description: Shipping carrier name
          example: FedEx
          type: string
        cartValue:
          $ref: '#/components/schemas/minMaxValues'
        channelId:
          description: Channel ID
          example: '12'
          type: string
        code:
          description: >-
            Shipping method code such as Same Day Delivery (SDD), Standard
            Shipping (STH), etc.
          example: SDD
          type: string
        configuredBy:
          description: User (ID or name) who configured the shipping method
          example: User3
          type: string
        cost:
          description: Shipping cost given by merchant
          example: 20.5
          format: double
          type: number
        createdAt:
          description: Time of shipping method creation (UTC)
          example: '2022-08-01T20:03:28.483Z'
          format: date-time
          type: string
        createdBy:
          description: User (ID or name) who created the shipping method
          example: User1
          type: string
        currency:
          default: USD
          description: Three-letter currency code as defined by ISO-4217
          example: USD
          type: string
        cutoffTime:
          description: >-
            Time at which the current 'order day' is over. **Note**: If an order
            is delivered after the cutoff time, it's considered as delivered the
            next working day. For example, if the cutoff time is set to 5:00 PM,
            any orders delivered after this time will be considered to have been
            delivered the following business day.
          example: 1330
          format: int32
          type: integer
        description:
          description: Brief description of shipping method
          example: Express Delivery 2 - 5 days
          type: string
        dimension:
          $ref: '#/components/schemas/minMaxDimensions'
        isDeleted:
          description: >-
            **true:** Shipping method is deleted. **false:** Shipping method
            isn't deleted.
          example: false
          type: boolean
        maximumDays:
          description: >-
            Maximum duration required to deliver an order starting from the time
            it's placed
          example: 5
          format: int32
          type: integer
        minimumDays:
          description: >-
            Minimum duration required to deliver an order starting from the time
            it's placed
          example: 2
          format: int32
          type: integer
        name:
          description: Shipping method name
          example: Express Delivery
          type: string
        region:
          description: State or region of delivery
          example: CA
          type: string
        shippingMethodId:
          description: Shipping method ID
          example: 5349b4ddd2781d08c09890f4
          type: string
        taxCode:
          description: >-
            Tax code associated with a shipping method. Depends on the
            applicable tax laws and regulations in each jurisdiction.
          example: FR01
          type: string
        updatedAt:
          description: Time of last update to shipping method (UTC)
          example: '2022-08-01T20:03:28.483Z'
          format: date-time
          type: string
        updatedBy:
          description: User (ID or name) who update the shipping method
          example: User2
          type: string
        weight:
          $ref: '#/components/schemas/minMaxValues'
      required:
        - code
        - name
      type: object
    errorResponse:
      description: Error response
      properties:
        errors:
          description: Errors
          items:
            $ref: '#/components/schemas/errorResponse'
          type: array
        message:
          description: Error message
          example: Bad request
          type: string
        type:
          description: Error type
          example: CLIENT_ERROR
          type: string
      type: object
    minMaxValues:
      description: Minimum and maximum values (weight, cost, etc.)
      properties:
        max:
          description: Maximum value
          example: 3.1
          format: double
          type: number
        min:
          description: Minimum value
          example: 2.1
          format: double
          type: number
      type: object
    minMaxDimensions:
      description: Minimum and maximum dimensions
      properties:
        max:
          $ref: '#/components/schemas/dimensions'
        min:
          $ref: '#/components/schemas/dimensions'
      type: object
    dimensions:
      description: Item dimensions
      properties:
        height:
          description: Item height
          example: 2.4
          format: double
          type: number
        length:
          description: Item length
          example: 4.6
          format: double
          type: number
        uom:
          description: Unit of measurement (UOM)
          example: EA
          type: string
        width:
          description: Item width
          example: 3.5
          format: double
          type: number
      type: object
  headers:
    xFabricRequestIdResponseHeader:
      description: Unique request ID
      example: 263e731c-45c8-11ed-b878-0242ac120002
      required: false
      schema:
        type: string
  securitySchemes:
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````